FWGraphInternal::State Struct Reference

Internal: the state of a FWGraph. More...

## Public Member Functions

| State ()
| constructor More...

## Public Attributes

int | m_version
| the file version More...
std::vector< shared_ptr < SideBar > > | m_sidebarList
| the sidebar list More...
std::multimap< int, FWStruct::EntryPtr > | m_graphicMap
| zoneId -> graphic entry More...
std::vector< FWStruct::Border > | m_borderList
| a list of border More...
int | m_numPages

## Detailed Description

Internal: the state of a FWGraph.

## Constructor & Destructor Documentation

FWGraphInternal::State::State | ( |  | ) |

inline

constructor

## Member Data Documentation

std::vector<FWStruct::Border> FWGraphInternal::State::m_borderList

a list of border

std::multimap<int, FWStruct::EntryPtr > FWGraphInternal::State::m_graphicMap

zoneId -> graphic entry

int FWGraphInternal::State::m_numPages

std::vector<shared_ptr<SideBar> > FWGraphInternal::State::m_sidebarList

the sidebar list

int FWGraphInternal::State::m_version

mutable

the file version

The documentation for this struct was generated from the following file:

- FWGraph.cxx